#include <tamtypes.h>
#include <kernel.h>
#include <stdio.h>

#include "include/gsDefs.h"
#include "include/gsDriver.h"
#include "include/gsPipe.h"
#include "include/gsFont.h"

void Graphics(int width, int height);
void flip();
void cls(u64 color);
u64 RGB(int r, int g, int b);
u64 RGBA(int r, int g, int b, int a);
void DrawRect(int x1, int y1, int x2, int y2, u64 color);
void DrawRectGoraud(int x1, int y1, int x2, int y2, u64 color1, u64 color2);
void DrawTriangleGoraud(float x1, float y1, float x2, float y2, float x3, float y3, u64 color1, u64 color2, u64 color3);
IIF* LoadImage(char *path);
IIF* LoadMemImage(void *buffer, int size);
void DrawImage(IIF *tex_file, int x, int y, int w, int h);
void DrawImageAlpha(IIF *tex_file, int x, int y, int w, int h, int a);
void LoadFont();
void DrawText(char *txt, int x, int y, u64 color, int centrado);
void DrawTextBox(char *txt, int x, int y, int w, u64 color, int centrado);

